Phone System Outcomes

Phone-system outcomes define what an agent can apply after a phone call.

An outcome can:

  • Leave a plain outcome label for reporting.
  • Send a customer-configured webhook.
  • Add the contacted person to a smart list.
  • Remove the contacted person from all smart lists or selected smart lists.

List Outcomes

$curl https://api.sailorhq.io/phone-system/outcomes \
> -H "Authorization: Bearer $SAILOR_API_TOKEN"

Create An Outcome

$curl https://api.sailorhq.io/phone-system/outcomes \
> -X POST \
> -H "Authorization: Bearer $SAILOR_API_TOKEN" \
> -H "Content-Type: application/json" \
> -d '{
> "outcome_name": "Interested",
> "destination_type": "smart_list",
> "destination_id": "00000000-0000-4000-8000-000000000000"
> }'

Use the API Reference for the complete request schema, including update and delete operations.